import request from '@/utils/request'

// 查询地址管理列表
export function listSysArea(query) {
  return request({
    url: '/system/sysArea/list',
    method: 'get',
    params: query
  })
}

// 查询地址管理详细
export function getSysArea(id) {
  return request({
    url: '/system/sysArea/' + id,
    method: 'get'
  })
}

// 新增地址管理
export function addSysArea(data) {
  return request({
    url: '/system/sysArea',
    method: 'post',
    data: data
  })
}

// 修改地址管理
export function updateSysArea(data) {
  return request({
    url: '/system/sysArea',
    method: 'put',
    data: data
  })
}

// 删除地址管理
export function delSysArea(id) {
  return request({
    url: '/system/sysArea/' + id,
    method: 'delete'
  })
}

// 刷新地址缓存
export function refreshCache() {
  return request({
    url: '/system/sysArea/refreshCache',
    method: 'get'
  })
}

// 查询地址缓存
export function findAllSysArea() {
  return request({
    url: '/system/sysArea/findAll',
    method: 'get'
  })
}

// 查询城市缓存
export function findAllCity() {
  return request({
    url: '/system/sysArea/findAllCity',
    method: 'get'
  })
}
